Apps
Get App Views
Retrieve an App’s Views
GET
/
api
/
apps
/
beta
/
apps
/
{appId}
/
views
Get App Views
curl --request GET \
--url https://mycluster.domino.tech/api/apps/beta/apps/{appId}/views \
--header 'X-Domino-Api-Key: <api-key>'import requests
url = "https://mycluster.domino.tech/api/apps/beta/apps/{appId}/views"
headers = {"X-Domino-Api-Key": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {'X-Domino-Api-Key': '<api-key>'}};
fetch('https://mycluster.domino.tech/api/apps/beta/apps/{appId}/views', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"count": 123,
"timeseries": [
{
"count": 123,
"timestamp": 123,
"users": {}
}
],
"users": {},
"versions": [
{
"count": 123,
"id": "<string>",
"timeseries": [
{
"count": 123,
"timestamp": 123,
"users": {}
}
],
"users": {}
}
]
}{
"error": "<string>"
}{
"code": "UNAUTHORIZED",
"message": "Authentication is required to access this resource."
}{
"code": "FORBIDDEN",
"message": "You do not have permission to perform this action."
}{
"error": "<string>"
}{
"error": "<string>"
}Authorizations
DominoApiKeyBearerAuthentication
Path Parameters
The id of the app to retrieve views for.
Query Parameters
The start epoch timestamp in milliseconds to retrieve views for. Defaults to 30 days ago.
The end epoch timestamp in milliseconds to retrieve views for. Defaults to the current time.
The granularity in milliseconds to return the timeseries in. Defaults to 1 day.
Last modified on June 26, 2026
Related topics
Getting started with Domino: Build a transaction review AppView and edit NetApp VolumesDeploy agentic systemsGets all permissions for requesting userWas this page helpful?
⌘I
Get App Views
